Summary: Stella custom configs for Gnome
Name:    stella-settings-gnome
Version: 0.1
Release: 9%{?dist}

Group:   System Environment/Base
License: GPLv3+
Url:     http://li.nux.ro
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: coreutils sed util-linux GConf2 bluecurve-metacity-theme google-droid-sans-fonts google-droid-sans-mono-fonts google-droid-serif-fonts polkit polkit-desktop-policy sudo

%description
%{summary}.

%prep

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/var/lib/polkit-1/localauthority/50-local.d/
mkdir -p %{buildroot}/etc/sudoers.d/

cat > %{buildroot}/var/lib/polkit-1/localauthority/50-local.d/10-pkgkit-pkginstall-policy.pkla << EOF

[Let wheel group install packages without auth]
Identity=unix-group:wheel
Action=org.freedesktop.packagekit.package-install
ResultAny=no
ResultInactive=no
ResultActive=yes

EOF


cat > %{buildroot}/var/lib/polkit-1/localauthority/50-local.d/10-pkgkit-pkgupdate-policy.pkla << EOF

[Let wheel group update packages without auth]
Identity=unix-group:wheel
Action=org.freedesktop.packagekit.system-update
ResultAny=no
ResultInactive=no
ResultActive=yes

EOF

cat > %{buildroot}/etc/sudoers.d/10-wheelstella << EOF

## Allows people in group wheel to run all commands
%wheel        ALL=(ALL)       ALL

EOF

%clean
rm -rf %{buildroot}

%pre


%post

gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /apps/nautilus/preferences/always_use_browser true 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type string /apps/metacity/general/theme Bluecurve 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type string /apps/metacity/global_keybindings/run_command_terminal "<Control><Alt>t" 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type string /apps/gnome-power-manager/ui/icon_policy always 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type int /desktop/gnome/peripherals/touchpad/scroll_method 2 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /desktop/gnome/peripherals/touchpad/disable_while_typing true 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /desktop/gnome/peripherals/touchpad/tap_to_click true 2>/dev/null
#gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type string /desktop/gnome/background/picture_filename /usr/share/backgrounds/abstract/Flow.png 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /apps/totem/autoload_subtitles true 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /apps/totem/remember_position true 2>/dev/null

gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set /desktop/gnome/url-handlers/mailto/command "thunderbird %" 2>/dev/null

gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set /apps/nautilus/preferences/desktop_font "Droid Sans 12" 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set /apps/metacity/general/titlebar_font "Droid Sans Bold 12" 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set /desktop/gnome/interface/document_font_name "Droid Sans 12" 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set /desktop/gnome/interface/monospace_font_name "Droid Sans Mono 12" 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set /desktop/gnome/interface/font_name "Droid Sans 12" 2>/dev/null

gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /apps/gnome-terminal/profiles/Default/use_theme_colors false 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set /apps/gnome-terminal/profiles/Default/background_color "#000000000000" 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set /apps/gnome-terminal/profiles/Default/foreground_color "#FFFFFFFFFFFF" 2>/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --set --type bool /apps/gnome-terminal/profiles/Default/scrollback_unlimited true 2>/dev/null

%postun


%files 
%defattr(0644,root,root,-)
/var/lib/polkit-1/localauthority/50-local.d/10-pkgkit-pkginstall-policy.pkla
/var/lib/polkit-1/localauthority/50-local.d/10-pkgkit-pkgupdate-policy.pkla
%attr(0440,root,root) /etc/sudoers.d/10-wheelstella

%changelog
* Sat Jan 28 2012 Nux <rpm@li.nux.ro> - 0.1-9
- correcting a small typo

* Tue Jan 10 2012 Nux <rpm@li.nux.ro> - 0.1-8
- minor correction of permissions

* Wed Jan 03 2012 Nux <rpm@li.nux.ro> - 0.1-7
- minor correction of permissions

* Tue Jan 03 2012 Nux <rpm@li.nux.ro> - 0.1-6
- add polkit policies to allow all wheel group users to install and update gpg signed packages
- allow wheel group users to use sudo 

* Sat Dec 31 2011 Nux <rpm@li.nux.ro> - 0.1-5
- pimping gnome-terminal a bit

* Fri Dec 30 2011 Nux <rpm@li.nux.ro> - 0.1-4
- defaulting to the beautiful(?) Droid font for the Gnome desktop

* Wed Dec 28 2011 Nux <rpm@li.nux.ro> - 0.1-3
- Thunderbird default MUA

* Tue Dec 27 2011 Nux <rpm@li.nux.ro> - 0.1-2
- correcting wallpaper path

* Mon Dec 26 2011 Nux <rpm@li.nux.ro> - 0.1
- initial "build"

